Using APCU on XAMPP 1.8.3 Windows 8

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Using APCU on XAMPP 1.8.3 Windows 8

Postby raineng » 27. October 2013 09:34

I'm using the latest APCU dll from http://pecl.php.net/package/APCu (4.0.2), x64 threadsafe version. In my php.ini I put:

zend_extension = "D:\Programming\xampp\php\ext\php_apcu.dll"
apc.enabled = 1
apc.serializer = php
apc.smh_size = 512M

The phpinfo() doesn't seem to show apcu being loaded at all (without any error displayed). Any suggestion is much appreciated.
raineng
 
Posts: 2
Joined: 27. October 2013 09:30
XAMPP Version: 1.8.3-3
Operating System: Windows 8

Re: Using APCU on XAMPP 1.8.3 Windows 8

Postby Altrea » 27. October 2013 10:10

XAMPP PHP is x86 TS so you should try the x86 TS version.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 6598
Joined: 17. August 2009 13:05
XAMPP Version: 5.5.19
Operating System: W7Ux64

Re: Using APCU on XAMPP 1.8.3 Windows 8

Postby raineng » 27. October 2013 17:07

Super. Thank you very much. And also, for those interested, you must use

extension = "pathToYourAPCUExt"

This is note a zend_extension so using zend_extension will not work.
raineng
 
Posts: 2
Joined: 27. October 2013 09:30
XAMPP Version: 1.8.3-3
Operating System: Windows 8


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 46 guests